- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Signal2< P1, P2 > Class Template Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

Inheritance diagram for G::Signal2< P1, P2 >:

## Public Member Functions
| Signal2 (bool once=false)
void | emit (P1 p1, P2 p2)
void | connect (Slot2< P1, P2 > slot)
void | disconnect ()
void | reset ()
Public Member Functions inherited from G::noncopyable
| noncopyable ()

## Detailed Description

### template<typename P1, typename P2>
class G::Signal2< P1, P2 >

Part of the slot/signal system.

Definition at line 286 of file gslot.h.

## Constructor & Destructor Documentation

template<typename P1, typename P2>

G::Signal2< P1, P2 >::Signal2 | ( | bool | once = `false` | ) |
| inline explicit

Definition at line 293 of file gslot.h.

## Member Function Documentation

template<typename P1, typename P2>

void G::Signal2< P1, P2 >::connect | ( | Slot2< P1, P2 > | slot | ) |
| inline

Definition at line 295 of file gslot.h.

Referenced by GSmtp::AdminServerPeer::AdminServerPeer(), GSmtp::Client::Client(), GSmtp::ProtocolMessageForward::ProtocolMessageForward(), and Main::Run::Run().

template<typename P1, typename P2>

void G::Signal2< P1, P2 >::disconnect | ( |  | ) |
| inline

Definition at line 296 of file gslot.h.

template<typename P1, typename P2>

void G::Signal2< P1, P2 >::emit | ( | P1 | p1,
|  | P2 | p2
| ) |  |
| inline

Definition at line 294 of file gslot.h.

template<typename P1, typename P2>

void G::Signal2< P1, P2 >::reset | ( |  | ) |
| inline

Definition at line 297 of file gslot.h.

The documentation for this class was generated from the following file:

- gslot.h